Package com.emc.documentum.rest.security.filter

# Class ClientTokenSignOutFilter

java.lang.Object
org.springframework.web.filter.GenericFilterBean
com.emc.documentum.rest.security.filter.ClientTokenSignOutFilter

All Implemented Interfaces:
  `jakarta.servlet.Filter`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.DisposableBean`, `org.springframework.beans.factory.InitializingBean`, `org.springframework.context.EnvironmentAware`, `org.springframework.core.env.EnvironmentCapable`, `org.springframework.web.context.ServletContextAware`

public class ClientTokenSignOutFilter extends org.springframework.web.filter.GenericFilterBean
Filter to logout for client token cookie

- ## Field Summary

  ### Fields inherited from class org.springframework.web.filter.GenericFilterBean

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientTokenSignOutFilter(String logoutSuccessUrl, String logoutUrl, List<org.springframework.security.web.authentication.logout.LogoutHandler> handlers, String[] supportedHttpMethods, org.springframework.web.servlet.mvc.method.annotation.ExceptionHandlerExceptionResolver exceptionHandlerExceptionResolver)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doFilter(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res, jakarta.servlet.FilterChain chain)`
  `protected boolean`
  `requiresLogout(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  `void`
  `setClientTokenProvider(com.emc.documentum.rest.security.ticket.ClientTokenProvider clientTokenProvider)`
  `void`
  `setFilterProcessesUrl(String filterProcessesUrl)`
  `void`
  `setLogoutSuccessHandler(String logoutSuccessUrl)`
  `void`
  `setSecurityAuditProcessor(com.emc.documentum.rest.security.audit.SecurityAuditProcessor securityAuditProcessor)`

  ### Methods inherited from class org.springframework.web.filter.GenericFilterBean

  `addRequiredProperty, afterPropertiesSet, createEnvironment, destroy, getEnvironment, getFilterConfig, getFilterName, getServletContext, init, initBeanWrapper, initFilterBean, setBeanName, setEnvironment, setServletContext`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ClientTokenSignOutFilter

    public ClientTokenSignOutFilter(String logoutSuccessUrl, String logoutUrl, List<org.springframework.security.web.authentication.logout.LogoutHandler> handlers, String[] supportedHttpMethods, org.springframework.web.servlet.mvc.method.annotation.ExceptionHandlerExceptionResolver exceptionHandlerExceptionResolver)

- ## Method Details

  - ### setFilterProcessesUrl

    public void setFilterProcessesUrl(String filterProcessesUrl)

  - ### setSecurityAuditProcessor

    public void setSecurityAuditProcessor(com.emc.documentum.rest.security.audit.SecurityAuditProcessor securityAuditProcessor)

  - ### setClientTokenProvider

    public void setClientTokenProvider(com.emc.documentum.rest.security.ticket.ClientTokenProvider clientTokenProvider)

  - ### setLogoutSuccessHandler

    public void setLogoutSuccessHandler(String logoutSuccessUrl)

  - ### doFilter

    public void doFilter(jakarta.servlet.ServletRequest req, jakarta.servlet.ServletResponse res, jakarta.servlet.FilterChain chain) throws IOException, jakarta.servlet.ServletException
    Throws:
      `IOException`
      `jakarta.servlet.ServletException`

  - ### requiresLogout

    protected boolean requiresLogout(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)